USRP_UPDATE_FS(1)

NAME
usrp_update_fs: - wrapper for uhd_images_downloader for embedded UHD devices.

DESCRIPTION
usage: usrp_update_fs [-h] [--image IMAGE] [-y] [-m MANIFEST] -d DEVICE_TYPE

    [-t GIT_TAG]

USRP filesystem update If run without any options, it will reset the filesystem to the state it was originally in, but with the same version ("factory reset"). By using -m or -t, the precise version of the new filesystem can be selected. -t master will update to the very latest filesystem image. Most options require access to the internet to download the latest manifest and/or filesystem image.

  optional arguments:

-h, --help
    show this help message and exit

--image IMAGE
    Binary image of the filesystem update. If this is given, all other options are ignored. Can be a file or a URL

-y, --yes
    Answer questions with yes

-m MANIFEST, --manifest MANIFEST
    Manifest source. Can be a file or a URL. Overwrites -t

-d DEVICE_TYPE, --device-type DEVICE_TYPE
    Specify/overwrite device type (DANGER! May brick device if used incorrectly!)

-t GIT_TAG, --git-tag GIT_TAG
    Will try and locate the given git tag or branch and get the corresponding manifest. Ignored when -m is given. Using this requires internet access.